careCycle
Campaigns

Get Campaign Statistics

Get detailed statistics for a campaign including status distribution, success breakdown, scheduled redials, and attempt distribution

GET
/v2/campaigns/{campaignId}/stats

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Campaign ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/stats"
{
  "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
  "totalCustomers": 0,
  "statusDistribution": [
    {
      "status": "string",
      "count": 0,
      "percentage": "string"
    }
  ],
  "pendingBreakdown": {
    "available": 0,
    "inDistribution": 0,
    "availablePercentage": "string",
    "inDistributionPercentage": "string"
  },
  "nextAttemptDistribution": [
    {
      "hour": "string",
      "count": 0
    }
  ],
  "successBreakdown": {
    "total": 0,
    "transferred": 0,
    "appointmentBooked": 0,
    "appointmentsAttended": 0
  },
  "attemptDistribution": [
    {
      "attempts": 0,
      "status": "string",
      "count": 0
    }
  ],
  "summary": {
    "totalCustomers": 0,
    "completed": 0,
    "failed": 0,
    "pending": 0,
    "conversionRate": "string",
    "failureRate": "string"
  },
  "outreachOverview": {
    "readyNow": 0,
    "inProgress": 0,
    "scheduled": 0,
    "completed": 0,
    "needsAttention": 0,
    "attentionBreakdown": {
      "unsuccessful": 0,
      "stalled": 0
    },
    "nextPlannedOutreachAt": "2019-08-24T14:15:22Z"
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}